selinux_restorecon_set_alt_rootpath(3)

NAME
selinux_restorecon_set_alt_rootpath - set an alternate rootpath.

SYNOPSIS
#include <selinux/restorecon.h>

int selinux_restorecon_set_alt_rootpath(const char *alt_rootpath);

DESCRIPTION
selinux_restorecon_set_alt_rootpath() passes to selinux_restorecon(3) a pointer containing an alternate rootpath alt_rootpath.

selinux_restorecon_set_alt_rootpath() must be called prior to selinux_restorecon(3).

RETURN VALUE
On success, zero is returned. On error, -1 is returned and errno is set appropriately.

SEE ALSO
selinux_restorecon(3),
selinux_restorecon_set_sehandle(3),
selinux_restorecon_default_handle(3),
selinux_restorecon_set_exclude_list(3),
selinux_restorecon_xattr(3)